Qt Reference Documentation

# Qt 3 Support Members for QBoxLayout

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QBoxLayout class reference

## Public Functions

| QBoxLayout ( QWidget * parent, Direction dir, int margin = 0, int spacing = -1, const char * name = 0 )
| QBoxLayout ( QLayout * parentLayout, Direction dir, int spacing = -1, const char * name = 0 )
| QBoxLayout ( Direction dir, int spacing, const char * name = 0 )
int | findWidget ( QWidget * widget )

- 11 public functions inherited from QLayout
- 8 public functions inherited from QObject

## Member Function Documentation

### QBoxLayout::QBoxLayout ( QWidget * parent, Direction dir, int margin = 0, int spacing = -1, const char * name = 0 )

Constructs a new QBoxLayout with direction dir and main widget parent. parent may not be 0.

The margin is the number of pixels between the edge of the widget and its managed children. The spacing is the default number of pixels between neighboring children. If spacing is -1 the value of margin is used for spacing.

name is the internal object name.

See also direction().

### QBoxLayout::QBoxLayout ( QLayout * parentLayout, Direction dir, int spacing = -1, const char * name = 0 )

Constructs a new QBoxLayout called name, with direction dir, and inserts it into parentLayout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, the layout will inherit its parent's spacing().

### QBoxLayout::QBoxLayout ( Direction dir, int spacing, const char * name = 0 )

Constructs a new QBoxLayout called name, with direction dir.

If spacing is -1, the layout will inherit its parent's spacing(); otherwise spacing is used.

You must insert this box into another layout.

### int QBoxLayout::findWidget ( QWidget * widget )

Use indexOf(widget) instead.